function [startDateFmtd, endDateFmtd] = getModisDateChunk( modisProdDates, chunkSize, chunkNumber, startDate, endDate )

	n=1 ;
	
	lastDateStr=modisProdDates( 1 );
	lastDateNum=str2num( char( regexprep( lastDateStr, 'A', '' ) ) );

	gotStart=0 ;
	gotEnd=0 ;
	
	%loop over the date list
	
	for i = 2:length( modisProdDates )

		dateStr=modisProdDates( i );		
		dateNum=str2num( char( regexprep( dateStr, 'A', '' ) ) );

		if dateNum >= startDate && gotStart == 0
			startDateFmtd=dateStr ;
			gotStart=1;
			startI=i;
		end

		if dateNum > endDate && gotEnd == 0
			endDateFmtd=lastDateStr ;
			gotEnd=1;
			endI=i-1;
		end


		lastDateStr=dateStr ;
		lastDateNum=dateNum ;


	end


	%deal with the case where the last date is beyond
	%the end of the date list

	dateStr=modisProdDates( end );		
	dateNum=str2num( char( regexprep( dateStr, 'A', '' ) ) );
	
	if endDate > dateNum
		endDateFmtd=dateStr ;
		gotEnd=1;
		endI=length( modisProdDates )-1;

	end

	%deal with the case where the first date is before
	%the start of the date list

	dateStr=modisProdDates( 1 );		
	dateNum=str2num( char( regexprep( dateStr, 'A', '' ) ) );
	
	if startDate < dateNum
		startDateFmtd=dateStr ;
		gotStart=1;
		startI=1;

	end

	%deal with the case where the first date is beyond
	%the end of the date list of the last date is before 
	%the start of the list

	dateStr=modisProdDates( 1 );		
	dateNum1=str2num( char( regexprep( dateStr, 'A', '' ) ) );
	dateStr=modisProdDates( end );		
	dateNum2=str2num( char( regexprep( dateStr, 'A', '' ) ) );
	
	if ( endDate < dateNum1 ) || ( startDate > dateNum2 )
		error( 'dates out of range' );
	end


	%disp( startDateFmtd );
	%disp( endDateFmtd );

	if gotStart==0 || gotEnd==0
		startDateFmtd = '0' ;	
		endDateFmtd= '0' ;
		return ;	
	end
	chunkStartI = startI + chunkSize * ( chunkNumber-1 ) ;
	chunkEndI = min( startI + chunkSize * chunkNumber -1, endI );
	if chunkStartI > chunkEndI
		startDateFmtd = '0' ;	
		endDateFmtd= '0' ;
		return ;	
	end
		
	startDateFmtd = char( modisProdDates( chunkStartI ) );
	endDateFmtd = char( modisProdDates( chunkEndI ) );
	
	
	%disp( startDateFmtd );
	%disp( endDateFmtd );

	return ;

end
